## qutebrowser 1.1.1

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

attrs==17.4.0
colorama==0.3.9
cssutils==1.0.2
Jinja2==2.10
MarkupSafe==1.0
Pygments==2.2.0
pyPEG2==2.15.2
PyYAML==3.12

=== misc/Makefile ===
PYTHON = python3
DESTDIR = /
ICONSIZES = 16 24 32 48 64 128 256 512

.PHONY: install

doc/qutebrowser.1.html:
	a2x -f manpage doc/qutebrowser.1.asciidoc

install: doc/qutebrowser.1.html
	$(PYTHON) setup.py install --root="$(DESTDIR)" --optimize=1
	install -Dm644 doc/qutebrowser.1 \
		"$(DESTDIR)/usr/share/man/man1/qutebrowser.1"
	install -Dm644 misc/qutebrowser.desktop \
		"$(DESTDIR)/usr/share/applications/qutebrowser.desktop"
	$(foreach i,$(ICONSIZES),install -Dm644 "icons/qutebrowser-$(i)x$(i).png" \
			"$(DESTDIR)/usr/share/icons/hicolor/$(i)x$(i)/apps/qutebrowser.png";)
	install -Dm644 icons/qutebrowser.svg \
		"$(DESTDIR)/usr/share/icons/hicolor/scalable/apps/qutebrowser.svg"
	install -Dm755 -t "$(DESTDIR)/usr/share/qutebrowser/userscripts/" \
		$(wildcard misc/userscripts/*)
	install -Dm755 -t "$(DESTDIR)/usr/share/qutebrowser/scripts/" \
		$(filter-out scripts/__init__.py scripts/__pycache__ scripts/dev \
		  scripts/testbrowser scripts/asciidoc2html.py scripts/setupcommon.py \
			scripts/link_pyqt.py,$(wildcard scripts/*))

=== debian/changelog ===
qutebrowser (1.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sat, 20 Jan 2018 23:08:11 +0100

qutebrowser (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Add explicit dependency on libqt5core5a (>= 5.7.1). libqt5core5a was
    already an implicit dependency, but without that version restriction.
  * Add python3-pyqt5.qtwebkit as alternative to
    python3-pyqt5.qtwebengine, now that the former is known to work with
    qutebrowser in Debian, too.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Tue, 16 Jan 2018 00:36:51 +0100

qutebrowser (1.0.4-3) unstable; urgency=high

  * Add missing runtime dependencies python3-pkg-resources and
    libqt5sql5-sqlite. Thanks Christoph Biedl! (Closes: #884583)
  * Apply "wrap-and-sort -a".
  * Make versioned dependencies more readable by inserting a blank between
    relation and version number.

 -- Axel Beckert <abe@debian.org>  Mon, 18 Dec 2017 00:21:09 +0100

qutebrowser (1.0.4-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Provide "x-www-browser". (The according alternatives are already in
    place.)
  * Add Vcs-* headers.
  * Declare compliance with Debian Policy 4.1.2. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Drop dependency on python (2.7). The last userscripts were made Python
    3 compatible by upstream. Thanks Lintian for nagging!
    + Patch those userscripts which are compatible with Python 2 as well
      as with Python 3 to sport an explicit python3 shebang line.
  * Override lintian warning command-in-menu-file-and-desktop-file
    (disputed).

 -- Axel Beckert <abe@debian.org>  Tue, 05 Dec 2017 18:02:24 +0100

qutebrowser (1.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 28 Nov 2017 23:28:48 +0100

qutebrowser (1.0.3-1-1) unstable; urgency=medium

  * New upstream release
  * Fix watchfile to support upstream versions ending with -1
  * use dh_auto_build instead of custom build command
  * Fix long description
  * Use wildcard in path for deleted files to be independent of python minor version
  * Fix upstream url in copyright
  * Remove license text for MPL in copyright and add reference to common-licenses
  * really push compat level to 10

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 27 Nov 2017 20:34:43 +0100

qutebrowser (1.0.3-3) unstable; urgency=medium

  * Fix one-line description (Closes: #882345)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 22 Nov 2017 08:21:03 +0100

qutebrowser (1.0.3-2) unstable; urgency=medium

  * Remove bogus foo.mp3

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sat, 04 Nov 2017 23:47:27 +0100

qutebrowser (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sat, 04 Nov 2017 22:38:21 +0100

qutebrowser (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 17 Oct 2017 08:25:29 +0200

qutebrowser (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 13 Oct 2017 10:11:07 +0200

qutebrowser (1.0.0-1) unstable; urgency=medium

  * New upstream release
    + Support for legacy QtWebKit (before 5.212 which is distributed
      independently from Qt) is dropped.
    + Support for Python 3.4 is dropped.
    + Support for Qt before 5.7.1 and PyQt before 5.7 is dropped.
    + New dependency on the QtSql module and Qt sqlite support.
    + New dependency on the attrs Python module.
    + The dependency on PyOpenGL (when using QtWebEngine) got removed. Note
      that PyQt5.QtOpenGL is still a dependency.
    + PyQt5.QtOpenGL is now always required, even with QtWebKit.
    + The QtWebEngine backend is now used by default.
  * Bump debhelper dependency to 10.
  * Declare complpiance with Debian Policy 4.1.1 (no changes needed)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Thu, 12 Oct 2017 18:02:43 +0200

qutebrowser (0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 09 Oct 2017 14:53:17 +0200

qutebrowser (0.11.0-1) unstable; urgency=medium

  * Initial release. (Closes: #832159)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 04 Jul 2017 23:06:42 +0200

=== debian/control ===
Source: qutebrowser
Section: web
Priority: optional
Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: asciidoc,
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               libxml2-utils,
               python-setuptools,
               python3 (>= 3.5),
               python3-setuptools,
               source-highlight,
               xsltproc
X-Python3-Version: >= 3.5
Standards-Version: 4.1.3
Homepage: https://qutebrowser.org
Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
Rules-Requires-Root: no

Package: qutebrowser
Architecture: all
Depends: libqt5core5a (>= 5.7.1),
         libqt5sql5-sqlite,
         libqt5webenginecore5 (>= 5.7.1),
         python3-attr,
         python3-pkg-resources,
         python3-pypeg2,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtquick,
         python3-pyqt5.qtsql,
         python3-pyqt5.qtwebengine (>= 5.7) | python3-pyqt5.qtwebkit (>= 5.7),
         python3-ruamel.yaml,
         python3-sip,
         ${misc:Depends},
         ${python3:Depends}
Suggests: libjs-pdf,
          python3-colorlog
Provides: x-www-browser
Description: Keyboard-driven, vim-like browser based on PyQt5
 qutebrowser is a keyboard-focused browser with a minimal GUI. It's
 based on Python and PyQt5 and was inspired by other browsers/addons
 like dwb and Vimperator/Pentadactyl.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=qutebrowser
export PYBUILD_DISABLE_python3=test
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	a2x -f manpage doc/qutebrowser.1.asciidoc

override_dh_auto_install:
	dh_auto_install
	rm -f debian/qutebrowser/usr/lib/python3.*/dist-packages/qutebrowser/html/COPYING.html

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.asciidoc

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/,filenamemangle=s/(?:.*)?qutebrowser-?(\d[\d\.-]*)\.tar\.gz/qutebrowser-$1.tar.gz/" \
         https://github.com/The-Compiler/qutebrowser/releases/ (?:.*/)?qutebrowser-?(\d[\d\.-]*)\.tar\.gz

## qutebrowser 1.5.1

=== misc/Makefile ===
PYTHON = python3
PREFIX ?= /usr/local
ICONSIZES = 16 24 32 48 64 128 256 512
DATAROOTDIR = $(PREFIX)/share
DATADIR ?= $(DATAROOTDIR)
MANDIR ?= $(DATAROOTDIR)/man

SETUPTOOLSOPTIONS =
ifdef DESTDIR
SETUPTOOLSOPTS = --root="$(DESTDIR)"
endif

.PHONY: install

doc/qutebrowser.1.html:
	a2x -f manpage doc/qutebrowser.1.asciidoc

install: doc/qutebrowser.1.html
	$(PYTHON) setup.py install --prefix="$(PREFIX)" --optimize=1 $(SETUPTOOLSOPTS)
	install -Dm644 misc/qutebrowser.appdata.xml \
		"$(DESTDIR)$(DATADIR)/metainfo/qutebrowser.appdata.xml"
	install -Dm644 doc/qutebrowser.1 \
		"$(DESTDIR)$(MANDIR)/man1/qutebrowser.1"
	install -Dm644 misc/qutebrowser.desktop \
		"$(DESTDIR)$(DATADIR)/applications/qutebrowser.desktop"
	$(foreach i,$(ICONSIZES),install -Dm644 "icons/qutebrowser-$(i)x$(i).png" \
			"$(DESTDIR)$(DATADIR)/icons/hicolor/$(i)x$(i)/apps/qutebrowser.png";)
	install -Dm644 icons/qutebrowser.svg \
		"$(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/qutebrowser.svg"
	install -Dm755 -t "$(DESTDIR)$(DATADIR)/qutebrowser/userscripts/" \
		$(wildcard misc/userscripts/*)
	install -Dm755 -t "$(DESTDIR)$(DATADIR)/qutebrowser/scripts/" \
		$(filter-out scripts/__init__.py scripts/__pycache__ scripts/dev \
		  scripts/testbrowser scripts/asciidoc2html.py scripts/setupcommon.py \
			scripts/link_pyqt.py,$(wildcard scripts/*))

=== debian/changelog ===
qutebrowser (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 10 Oct 2018 11:10:55 +0200

qutebrowser (1.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 03 Oct 2018 19:03:38 +0200

qutebrowser (1.4.2-2) unstable; urgency=medium

  * Add missing svg icon

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 01 Oct 2018 12:51:25 +0200

qutebrowser (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 02 Sep 2018 21:32:25 +0200

qutebrowser (1.4.1-1) unstable; urgency=critical

  * New upstream security release
    + [CVE-2018-10895] Fixes CSRF issue on the qute://settings page, leading to
      possible arbitrary code execution. See the related GitHub issue for
      details: https://github.com/qutebrowser/qutebrowser/issues/4060
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 11 Jul 2018 17:29:31 +0200

qutebrowser (1.4.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * New upstream release

  [ Axel Beckert ]
  * Mention assigned CVE-ID in previous changelog entry.

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 03 Jul 2018 16:03:10 +0200

qutebrowser (1.3.3-1) unstable; urgency=high

  * New upstream release
  * [CVE-2018-1000559] Fixes security issue with rendering html tags in
    history, see https://github.com/qutebrowser/qutebrowser/issues/4011

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 22 Jun 2018 00:06:52 +0200

qutebrowser (1.3.2-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Import new upstream release 1.3.1.

  [ Axel Beckert ]
  * Import new upstream release 1.3.2.
  * Drop "X-Python3-Version: >= 3.5" header. Other build-dependencies
    don't allow building in Debian releases older than Debian 9 Stretch.

 -- Axel Beckert <abe@debian.org>  Sun, 10 Jun 2018 16:12:55 +0200

qutebrowser (1.3.0-1) unstable; urgency=medium

  * Import new upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 4 May 2018 09:35:12 +0200

qutebrowser (1.2.1-2) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Fix missing build dependency dh-python (Closes: #896737).

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 25 Apr 2018 00:15:12 +0200

qutebrowser (1.2.1-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Import new upstream release.
  * Remove patch for html/doc/quickstart.html since it's fixed upstream.

  [ Axel Beckert ]
  * Add debian/gbp.conf to handle the pristine-tar branch automatically.
  * Add debian/duck-overrides to silence a false positive for "moved to".

 -- Axel Beckert <abe@debian.org>  Sat, 17 Mar 2018 01:57:45 +0100

qutebrowser (1.2.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Import new upstream release

  [ Axel Beckert ]
  * Add patch to replace remote URLs of images with file:/// URLs of local
    images in quickstart.html. Fixes privacy-related lintian warning.

 -- Axel Beckert <abe@debian.org>  Sat, 10 Mar 2018 23:34:44 +0100

qutebrowser (1.1.2-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Import new upstream release

  [ Axel Beckert ]
  * Upload to unstable again.
  * Update copyright years in debian/copyright and add myself there, too.
  * Add a DEP12 debian/upstream/metadata file.

 -- Axel Beckert <abe@debian.org>  Sat, 03 Mar 2018 00:49:01 +0100

qutebrowser (1.1.1-2) experimental; urgency=low

  * Create two new packages qutebrowser-qtwebengine and
    qutebrowser-qtwebkit to be able to specify dependencies of the type
    "(a & b) | (c & d)" and to have packages which install qutebrowser
    with the preferred backend. Hopefully allows qutebrowser to be
    installable on more architectures as QtWebEngine is not available on
    all architectures.

 -- Axel Beckert <abe@debian.org>  Sun, 21 Jan 2018 21:37:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: asciidoc,
                debhelper (>= 11~),
+	       dh-python,
                docbook-xml,
                docbook-xsl,
                libxml2-utils,
@@ -13,8 +14,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-X-Python3-Version: >= 3.5
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://qutebrowser.org
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
@@ -24,7 +24,6 @@
 Architecture: all
 Depends: libqt5core5a (>= 5.7.1),
          libqt5sql5-sqlite,
-         libqt5webenginecore5 (>= 5.7.1),
          python3-attr,
          python3-pkg-resources,
          python3-pypeg2,
@@ -32,9 +31,9 @@
          python3-pyqt5.qtopengl,
          python3-pyqt5.qtquick,
          python3-pyqt5.qtsql,
-         python3-pyqt5.qtwebengine (>= 5.7) | python3-pyqt5.qtwebkit (>= 5.7),
          python3-ruamel.yaml,
          python3-sip,
+         qutebrowser-qtwebengine | qutebrowser-qtwebkit,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: libjs-pdf,
@@ -44,3 +43,34 @@
  qutebrowser is a keyboard-focused browser with a minimal GUI. It's
  based on Python and PyQt5 and was inspired by other browsers/addons
  like dwb and Vimperator/Pentadactyl.
+ .
+ qutebrowser supports two different rendering engine backends:
+ QtWebKit and QtWebEngine.
+
+Package: qutebrowser-qtwebengine
+Architecture: all
+Depends: libqt5webenginecore5 (>= 5.7.1),
+         python3-pyqt5.qtwebengine (>= 5.7),
+         qutebrowser (= ${source:Version}),
+         ${misc:Depends}
+Description: QtWebEngine backend dependency package for qutebrowser
+ qutebrowser is a keyboard-focused browser with a minimal GUI. It's
+ based on Python and PyQt5 and was inspired by other browsers/addons
+ like dwb and Vimperator/Pentadactyl.
+ .
+ This package contains all the required dependencies to use
+ qutebrowser with the QtWebEngine backend.
+
+Package: qutebrowser-qtwebkit
+Architecture: all
+Depends: python3-pyqt5.qtwebkit (>= 5.7),
+         libqt5webkit5 (>= 5.212),
+         qutebrowser (= ${source:Version}),
+         ${misc:Depends}
+Description: QtWebKit backend dependency package for qutebrowser
+ qutebrowser is a keyboard-focused browser with a minimal GUI. It's
+ based on Python and PyQt5 and was inspired by other browsers/addons
+ like dwb and Vimperator/Pentadactyl.
+ .
+ This package contains all the required dependencies to use
+ qutebrowser with the QtWebKit backend.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=qutebrowser
+export PYBUILD_DESTDIR=debian/qutebrowser
 export PYBUILD_DISABLE_python3=test
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild --link-doc=qutebrowser
 
 override_dh_auto_build:
 	dh_auto_build

## qutebrowser 1.5.2

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

attrs==18.2.0
colorama==0.3.9
cssutils==1.0.2
Jinja2==2.10
MarkupSafe==1.0
Pygments==2.2.0
pyPEG2==2.15.2
PyYAML==3.13

=== debian/changelog ===
qutebrowser (1.5.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10 to ease backports.
  * Make qutebrowser-qtwebkit the preferred alternative, since its backport is 
    newer and hopefully more secure.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 01 Nov 2018 14:11:23 -0700

qutebrowser (1.5.2-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Axel Beckert <abe@debian.org>  Sat, 27 Oct 2018 22:22:50 +0200

qutebrowser (1.5.1-2) unstable; urgency=medium

  * Add lintian override for /usr/share/qutebrowser/userscripts/README.md
    triggering package-contains-documentation-outside-usr-share-doc
    despite being a per-directory documentation.
  * Call "make -f misc/Makefile install" to install a bunch of supporting
    files. Thanks to Lionel for making us aware of the missing files.
    + Drop a bunch of manually listed files from
      debian/qutebrowser.install.
    + Explicitly remove executable bit from userscripts/REAMDE.md and
      scripts/util.py. Avoids a lintian warning, too.

 -- Axel Beckert <abe@debian.org>  Wed, 24 Oct 2018 01:14:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: qutebrowser
 Section: web
 Priority: optional
-Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 11~),
-	       dh-python,
+               debhelper (>= 10),
+               dh-python,
                docbook-xml,
                docbook-xsl,
                libxml2-utils,
@@ -33,7 +34,7 @@
          python3-pyqt5.qtsql,
          python3-ruamel.yaml,
          python3-sip,
-         qutebrowser-qtwebengine | qutebrowser-qtwebkit,
+         qutebrowser-qtwebkit | qutebrowser-qtwebengine ,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: libjs-pdf,

## qutebrowser 1.6.0

=== debian/changelog ===
qutebrowser (1.6.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * New upstream release.
  * Add License for misc/org.qutebrowser.qutebrowser.appdata.xml

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.3.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Feb 2019 00:19:28 +0100

## qutebrowser 1.6.1

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

attrs==18.2.0
colorama==0.4.1
cssutils==1.0.2
Jinja2==2.10
MarkupSafe==1.1.0
Pygments==2.3.1
pyPEG2==2.15.2
PyYAML==3.13

=== misc/Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 install: doc/qutebrowser.1.html
 	$(PYTHON) setup.py install --prefix="$(PREFIX)" --optimize=1 $(SETUPTOOLSOPTS)
-	install -Dm644 misc/qutebrowser.appdata.xml \
-		"$(DESTDIR)$(DATADIR)/metainfo/qutebrowser.appdata.xml"
+	install -Dm644 misc/org.qutebrowser.qutebrowser.appdata.xml \
+		"$(DESTDIR)$(DATADIR)/metainfo/org.qutebrowser.qutebrowser.appdata.xml"
 	install -Dm644 doc/qutebrowser.1 \
 		"$(DESTDIR)$(MANDIR)/man1/qutebrowser.1"
 	install -Dm644 misc/qutebrowser.desktop \

=== debian/changelog ===
qutebrowser (1.6.1-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 22 Jan 2021 12:17:07 +0800

qutebrowser (1.6.1-2) unstable; urgency=low

  * No-change upload to unstable again. (see #925194)

 -- Axel Beckert <abe@debian.org>  Fri, 12 Apr 2019 01:42:23 +0200

qutebrowser (1.6.1-1) experimental; urgency=low

  * New upstream bugfix release.
    + Fixes a crash when using ":config-{dict,list}-{add,remove}" with an
      invalid setting.
    + Fixes missing "Actions" key in .desktop file.
    + Fixes SVG icon size to comply with freedesktop standards.
  * Upload to experimental for now.

 -- Axel Beckert <abe@debian.org>  Mon, 08 Apr 2019 22:36:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: qutebrowser
 Section: web
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
+Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 10),
-               dh-python,
+               debhelper (>= 11~),
+	       dh-python,
                docbook-xml,
                docbook-xsl,
                libxml2-utils,
@@ -15,7 +14,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://qutebrowser.org
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
@@ -34,7 +33,7 @@
          python3-pyqt5.qtsql,
          python3-ruamel.yaml,
          python3-sip,
-         qutebrowser-qtwebkit | qutebrowser-qtwebengine ,
+         qutebrowser-qtwebengine | qutebrowser-qtwebkit,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: libjs-pdf,

## qutebrowser 1.7.0

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

attrs==19.1.0
colorama==0.4.1
cssutils==1.0.2
Jinja2==2.10.1
MarkupSafe==1.1.1
Pygments==2.4.2
pyPEG2==2.15.2
PyYAML==5.1.1

=== misc/Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 		"$(DESTDIR)$(DATADIR)/metainfo/org.qutebrowser.qutebrowser.appdata.xml"
 	install -Dm644 doc/qutebrowser.1 \
 		"$(DESTDIR)$(MANDIR)/man1/qutebrowser.1"
-	install -Dm644 misc/qutebrowser.desktop \
-		"$(DESTDIR)$(DATADIR)/applications/qutebrowser.desktop"
+	install -Dm644 misc/org.qutebrowser.qutebrowser.desktop \
+		"$(DESTDIR)$(DATADIR)/applications/org.qutebrowser.qutebrowser.desktop"
 	$(foreach i,$(ICONSIZES),install -Dm644 "icons/qutebrowser-$(i)x$(i).png" \
 			"$(DESTDIR)$(DATADIR)/icons/hicolor/$(i)x$(i)/apps/qutebrowser.png";)
 	install -Dm644 icons/qutebrowser.svg \

=== debian/changelog ===
qutebrowser (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian Policy 4.4.0. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Mon, 22 Jul 2019 23:31:12 +0200

qutebrowser (1.6.3-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sun, 23 Jun 2019 23:58:00 +0200

qutebrowser (1.6.2-1) experimental; urgency=medium

  * New upstream bugfix release.
    + Fixes a crash when SQL errors occur while using the completion.
    + Fixes a crash when cancelling a download prompt started in an
      already closed window.
    + Fixes a crash when many prompts are opened at the same time.
    + Running without Qt installed now displays a proper error again.
    + Fixes high CPU usage when using the keyhint widget with a low delay.

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 07 May 2019 21:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: asciidoc,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
 	       dh-python,
                docbook-xml,
                docbook-xsl,
@@ -14,7 +14,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://qutebrowser.org
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian

## qutebrowser 1.10.0

=== debian/changelog ===
qutebrowser (1.10.0-1) unstable; urgency=medium

  * New upstream release 1.10.0
  * Declare compliance with Debian Policy 4.5.0 (No changes needed.)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 03 Feb 2020 08:45:45 +0100

qutebrowser (1.9.0-1) unstable; urgency=medium

  * New upstream release 1.9.0.
    + Patch faq.html to link to external images instead of including them.

 -- Axel Beckert <abe@debian.org>  Thu, 09 Jan 2020 00:40:32 +0100

qutebrowser (1.8.3-1) unstable; urgency=medium

  * New upstream bugfix release 1.8.3
    + fix for a segmentation fault introduced in v1.8.2 when a tab gets closed
      immediately after it has finished loading (e.g. with certain login flows).
  * New upstream bugfix release 1.8.2
    + Workaround for missing/broken error pages on Debian.
    + Unbinding keys via `config.bind(key, None) is deprecated
    + <Shift-Insert> can now be used to paste text starting with a hyphen.

 -- Fritz Reichwald <reichwald@b1-systems.de>  Fri, 06 Dec 2019 08:55:34 +0100

qutebrowser (1.8.1-2) unstable; urgency=medium

  * Remove superfluous build-dependency on python-setuptools, no more
    needed. Thanks to Sandro Tosi for the bug report. (Closes: #943236)

 -- Axel Beckert <abe@debian.org>  Thu, 24 Oct 2019 01:46:45 +0200

qutebrowser (1.8.1-1) unstable; urgency=medium

  * New upstream release
    + Suggest nodejs for readability-js userscript.
    + Depend on python3 ≥ 3.5.2.
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Add trailing slash to Homepage header.

 -- Axel Beckert <abe@debian.org>  Mon, 30 Sep 2019 23:12:05 +0200

## qutebrowser 1.10.1

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

attrs==19.3.0
colorama==0.4.3
cssutils==1.0.2
Jinja2==2.11.1
MarkupSafe==1.1.1
Pygments==2.5.2
pyPEG2==2.15.2
PyYAML==5.3

=== misc/Makefile ===
--- 
+++ 
@@ -5,17 +5,18 @@
 DATADIR ?= $(DATAROOTDIR)
 MANDIR ?= $(DATAROOTDIR)/man
 
-SETUPTOOLSOPTIONS =
 ifdef DESTDIR
 SETUPTOOLSOPTS = --root="$(DESTDIR)"
 endif
 
-.PHONY: install
+all: man
+	$(PYTHON) setup.py build
 
-doc/qutebrowser.1.html:
-	a2x -f manpage doc/qutebrowser.1.asciidoc
+man: doc/qutebrowser.1
+doc/qutebrowser.1: doc/qutebrowser.1.asciidoc
+	a2x -f manpage $<
 
-install: doc/qutebrowser.1.html
+install: man
 	$(PYTHON) setup.py install --prefix="$(PREFIX)" --optimize=1 $(SETUPTOOLSOPTS)
 	install -Dm644 misc/org.qutebrowser.qutebrowser.appdata.xml \
 		"$(DESTDIR)$(DATADIR)/metainfo/org.qutebrowser.qutebrowser.appdata.xml"
@@ -33,3 +34,5 @@
 		$(filter-out scripts/__init__.py scripts/__pycache__ scripts/dev \
 		  scripts/testbrowser scripts/asciidoc2html.py scripts/setupcommon.py \
 			scripts/link_pyqt.py,$(wildcard scripts/*))
+
+.PHONY: all man install

=== debian/changelog ===
qutebrowser (1.10.1-1) unstable; urgency=medium

  * New upstream release 1.10.1

 -- Axel Beckert <abe@debian.org>  Sun, 16 Feb 2020 23:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
                docbook-xml,
                docbook-xsl,
                libxml2-utils,
-               python-setuptools,
                python3 (>= 3.5),
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.4.0
-Homepage: https://qutebrowser.org
+Standards-Version: 4.5.0
+Homepage: https://qutebrowser.org/
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
 Rules-Requires-Root: no
@@ -24,6 +23,7 @@
 Architecture: all
 Depends: libqt5core5a (>= 5.7.1),
          libqt5sql5-sqlite,
+         python3 (>= 3.5.2),
          python3-attr,
          python3-pkg-resources,
          python3-pypeg2,
@@ -37,6 +37,7 @@
          ${misc:Depends},
          ${python3:Depends}
 Suggests: libjs-pdf,
+          nodejs,
           python3-colorlog
 Provides: x-www-browser
 Description: Keyboard-driven, vim-like browser based on PyQt5

## qutebrowser 1.13.1

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 attrs==19.3.0
 colorama==0.4.3
 cssutils==1.0.2
-Jinja2==2.11.1
+Jinja2==2.11.2
 MarkupSafe==1.1.1
-Pygments==2.5.2
+Pygments==2.6.1
 pyPEG2==2.15.2
-PyYAML==5.3
+PyYAML==5.3.1

=== debian/changelog ===
qutebrowser (1.13.1-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * New upstream release

  [ Axel Beckert ]
  * Set "Forwarded: not-needed" for all patches. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 18 Jul 2020 22:46:45 +0200

qutebrowser (1.13.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * New upstream release

  [ Axel Beckert ]
  * Add lintian overrides for overzealous breakout-link tag on images.

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jun 2020 19:00:03 +0200

qutebrowser (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper dep to 13 #makeLintianHappyAgain

 -- Fritz Reichwald <reichwald@b1-systems.de>  Wed, 03 Jun 2020 07:28:35 +0200

qutebrowser (1.11.1.post1-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Low-severity security fix. Fixes: CVE-2020-11054

  [ Axel Beckert ]
  * Update debian/watch to also match upstream tar ball fixes.
  * Import fixed upstream tar ball "1.11.1.post1".
  * Drop no more needed hunks from doc/faq.html (not html/doc/faq.html)
    from replace-external-merch-images-with-links.patch and refresh it.

 -- Axel Beckert <abe@debian.org>  Mon, 11 May 2020 12:00:58 +0200

qutebrowser (1.11.0-1) unstable; urgency=medium

  * New upstream release with new small features 1.11.0

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 27 Apr 2020 18:39:01 +0200

qutebrowser (1.10.2-1) unstable; urgency=medium

  * New upstream minor bugfix release 1.10.2

 -- Axel Beckert <abe@debian.org>  Sat, 18 Apr 2020 17:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fritz Reichwald <reichwald@b1-systems.de>
 Uploaders: Axel Beckert <abe@debian.org>
 Build-Depends: asciidoc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
 	       dh-python,
                docbook-xml,
                docbook-xsl,

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/,filenamemangle=s/(?:.*)?qutebrowser-?(\d[-\d\.a-z]*)\.tar\.gz/qutebrowser-$1.tar.gz/" \
         https://github.com/The-Compiler/qutebrowser/releases/ (?:.*/)?qutebrowser-?(\d[-\d\.a-z]*)\.tar\.gz

## qutebrowser 2.0.2

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

adblock==0.4.1 ; python_version!="3.10"
attrs==20.3.0
colorama==0.4.4
dataclasses==0.6 ; python_version<"3.7"
importlib-resources==5.1.0 ; python_version<"3.9"
Jinja2==2.11.2
MarkupSafe==1.1.1
Pygments==2.7.4
PyYAML==5.4.1

=== debian/changelog ===
qutebrowser (2.0.2-2) unstable; urgency=medium

  * Apply patch to update documentation with regards to the #qutebrowser
    IRC channel having moved from Freenode to Libera.Chat.

 -- Axel Beckert <abe@debian.org>  Wed, 14 Jul 2021 02:38:48 +0200

qutebrowser (2.0.2-1) unstable; urgency=medium

  * New upstream bugfix release.
    + Drop cherry-picked patch.
  * Finetune package dependencies according to upstream:
    + Drop dependency on python3-pkg-resources, no more needed.
    + Replace derivative python3-ruamel.yaml with standard python3-yaml.
    + Replace "| python3.9" with "| python3 (>= 3.9)" to be future-proof.
    + Drop suggestion on python3-colorlog.
    + Recommend python3-pygments in qutebrowser-qtwebkit (for syntax
      highlighting of website source code) and suggest it for
      qutebrowser-qtwebengine (for alternative syntax highlighting).
  * Recommend ca-certificates in qutebrowser-qtwebkit as HTTPS isn't
    usable in the WebKit backend without ca-certificates.

 -- Axel Beckert <abe@debian.org>  Fri, 05 Feb 2021 04:27:06 +0100

qutebrowser (2.0.1-3) unstable; urgency=medium

  * No source change upload to unstable after pre-approval of the release
    team. (See #980847.)

 -- Axel Beckert <abe@debian.org>  Sun, 31 Jan 2021 07:04:48 +0100

qutebrowser (2.0.1-2) experimental; urgency=medium

  * Cherry pick 9e8a5c15 from upstream stable branch. Fixes crash when
    right-clicking download view.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jan 2021 07:58:56 +0100

qutebrowser (2.0.1-1) experimental; urgency=medium

  * Import new upstream release.
  * Update minimal dependencies
    + python >= 3.5.2 -> 3.7
    + python3-pyqt5.qtwebengine >= 5.7 -> 5.12
    + libqt5webenginecore5 >= 5.7.1 -> 5.12
  * Drop no more needed dependencies
    + python3-attr
    + python3-pypeg2
  * Add dependency on python3-importlib-resources for Python < 3.9.
  * Remove force-userscripts-shebang-lines-to-python3.patch as the changes
    were implemented upstream.

 -- Fritz Reichwald <reichwald@b1-systems.de>  Thu, 28 Jan 2021 12:27:26 +0100

qutebrowser (1.14.1-1) unstable; urgency=medium

  * Import new upstream bugfix release.
  * Fix distribution name in previous debian/changelog entry.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Bump debian/watch version from 3 to 4. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 05 Dec 2020 07:15:20 +0100

qutebrowser (1.14.0-1) unstable; urgency=medium

  [ Fritz Reichwald ]
  * Add Provides: www-browser
  * Remove Provides: x-www-browser

  [ Axel Beckert ]
  * Import new upstream release.
  * Add version 1.6.4 of AngularJS as debian/missing-sources/angular.js to
    complement tests/end2end/data/hints/angular1/angular.min.js which is
    included in upstream's test suite (which itself is included on request
    by Gentoo and Alpine packagers since 1.12.0), but not in the preferred
    form for modification, just minified.
    + Fixes lintian-reported error "source-is-missing".
    + Add according file stanzas and the MIT license to debian/copyright.
    + Override source-contains-prebuilt-javascript-object as upstream
      declared this as being intentional.

 -- Axel Beckert <abe@debian.org>  Sun, 18 Oct 2020 08:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
                docbook-xml,
                docbook-xsl,
                libxml2-utils,
-               python3 (>= 3.5),
+               python3 (>= 3.7),
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://qutebrowser.org/
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
@@ -21,25 +21,22 @@
 
 Package: qutebrowser
 Architecture: all
-Depends: libqt5core5a (>= 5.7.1),
+Depends: libqt5core5a (>= 5.12),
          libqt5sql5-sqlite,
-         python3 (>= 3.5.2),
-         python3-attr,
-         python3-pkg-resources,
-         python3-pypeg2,
+         python3 (>= 3.7),
          python3-pyqt5,
          python3-pyqt5.qtopengl,
          python3-pyqt5.qtquick,
          python3-pyqt5.qtsql,
-         python3-ruamel.yaml,
+         python3-yaml,
          python3-sip,
+         python3-importlib-resources | python3 (>= 3.9),
          qutebrowser-qtwebengine | qutebrowser-qtwebkit,
          ${misc:Depends},
          ${python3:Depends}
 Suggests: libjs-pdf,
-          nodejs,
-          python3-colorlog
-Provides: x-www-browser
+          nodejs
+Provides: www-browser
 Description: Keyboard-driven, vim-like browser based on PyQt5
  qutebrowser is a keyboard-focused browser with a minimal GUI. It's
  based on Python and PyQt5 and was inspired by other browsers/addons
@@ -50,10 +47,11 @@
 
 Package: qutebrowser-qtwebengine
 Architecture: all
-Depends: libqt5webenginecore5 (>= 5.7.1),
-         python3-pyqt5.qtwebengine (>= 5.7),
+Depends: libqt5webenginecore5 (>= 5.12),
+         python3-pyqt5.qtwebengine (>= 5.12),
          qutebrowser (= ${source:Version}),
          ${misc:Depends}
+Suggests: python3-pygments
 Description: QtWebEngine backend dependency package for qutebrowser
  qutebrowser is a keyboard-focused browser with a minimal GUI. It's
  based on Python and PyQt5 and was inspired by other browsers/addons
@@ -64,10 +62,12 @@
 
 Package: qutebrowser-qtwebkit
 Architecture: all
-Depends: python3-pyqt5.qtwebkit (>= 5.7),
+Depends: python3-pyqt5.qtwebkit (>= 5.12),
          libqt5webkit5 (>= 5.212),
          qutebrowser (= ${source:Version}),
          ${misc:Depends}
+Recommends: ca-certificates,
+            python3-pygments
 Description: QtWebKit backend dependency package for qutebrowser
  qutebrowser is a keyboard-focused browser with a minimal GUI. It's
  based on Python and PyQt5 and was inspired by other browsers/addons

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,11 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	env PREFIX=/usr DESTDIR=debian/qutebrowser $(MAKE) -f misc/Makefile install
 	rm -f debian/qutebrowser/usr/lib/python3.*/dist-packages/qutebrowser/html/COPYING.html
+	# Fix accidentially set x-bit
+	chmod a-x -c debian/qutebrowser/usr/share/qutebrowser/scripts/utils.py
+	chmod a-x -c debian/qutebrowser/usr/share/qutebrowser/userscripts/README.md
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.asciidoc

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,filenamemangle=s/(?:.*)?qutebrowser-?(\d[-\d\.a-z]*)\.tar\.gz/qutebrowser-$1.tar.gz/" \
         https://github.com/The-Compiler/qutebrowser/releases/ (?:.*/)?qutebrowser-?(\d[-\d\.a-z]*)\.tar\.gz

## qutebrowser 2.5.0

=== requirements.txt ===
# This file is automatically generated by scripts/dev/recompile_requirements.py

adblock==0.5.2
colorama==0.4.4
dataclasses==0.6 ; python_version<"3.7"
importlib-metadata==4.11.3 ; python_version=="3.7.*"
importlib-resources==5.6.0 ; python_version=="3.7.*" or python_version=="3.8.*"
Jinja2==3.1.1 ; python_version>="3.7"
MarkupSafe==2.1.1 ; python_version>="3.7"
Pygments==2.11.2
PyYAML==6.0
typing_extensions==4.1.1 ; python_version<"3.8"
zipp==3.7.0 ; python_version>="3.7"
importlib-resources<5.6.0 ; python_version=="3.6.*"
importlib-metadata<4.9 ; python_version=="3.6.*"
zipp<3.7 ; python_version=="3.6.*"
MarkupSafe<2.1.0 ; python_version=="3.6.*"
Jinja2<3.1.0 ; python_version=="3.6.*"

=== debian/changelog ===
qutebrowser (2.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Refresh sole, debian-specific patch.
  * Update copyright years in debian/copyright. Thanks Lintian!
  * Add lintian override for
    package-contains-documentation-outside-usr-share-doc
    usr/lib/python3/dist-packages/qutebrowser/html/*.html

 -- Axel Beckert <abe@debian.org>  Sun, 03 Apr 2022 16:43:31 +0200

qutebrowser (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    + Add tests/end2end/data/hints/ace/ace.js to debian/copyright and
      lintian overrides.
  * Drop lintian override for no more emitted lintian tag breakout-link.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 22 Oct 2021 04:23:45 +0200

qutebrowser (2.3.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Aug 2021 15:37:04 +0200

qutebrowser (2.3.0-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental as 2.3.0-1

 -- Fritz Reichwald <reichwald@b1-systems.de>  Sat, 03 Jul 2021 20:40:33 +0200

qutebrowser (2.2.3-1) experimental; urgency=medium

  * New upstream release
  * Since 2.2.0 only qtwebengine > 5.12.0 is supported adjusted the dependency
    accordingly
  * Add new dependency on libqt5dbus5 (>= 5.12.1)
  * Upload to experimental as 2.2.3-1

 -- Fritz Reichwald <reichwald@b1-systems.de>  Tue, 01 Jun 2021 22:55:33 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://qutebrowser.org/
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian
@@ -21,7 +21,8 @@
 
 Package: qutebrowser
 Architecture: all
-Depends: libqt5core5a (>= 5.12),
+Depends: libqt5core5a (>= 5.12.1),
+	 libqt5dbus5 (>= 5.12.1),
          libqt5sql5-sqlite,
          python3 (>= 3.7),
          python3-pyqt5,
@@ -47,8 +48,8 @@
 
 Package: qutebrowser-qtwebengine
 Architecture: all
-Depends: libqt5webenginecore5 (>= 5.12),
-         python3-pyqt5.qtwebengine (>= 5.12),
+Depends: libqt5webenginecore5 (>= 5.12.1),
+         python3-pyqt5.qtwebengine (>= 5.12.1),
          qutebrowser (= ${source:Version}),
          ${misc:Depends}
 Suggests: python3-pygments
@@ -62,7 +63,7 @@
 
 Package: qutebrowser-qtwebkit
 Architecture: all
-Depends: python3-pyqt5.qtwebkit (>= 5.12),
+Depends: python3-pyqt5.qtwebkit (>= 5.12.1),
          libqt5webkit5 (>= 5.212),
          qutebrowser (= ${source:Version}),
          ${misc:Depends}

## qutebrowser 2.5.2

=== debian/changelog ===
qutebrowser (2.5.2-2) unstable; urgency=medium

  * Workaround FTBFS with more recent python3-setuptools which seem to
    install a second copy of the qutebrowser script into /usr/local/bin/
    for no obvious reason. (Closes: #1022364)
  * Update debian/watch to point to current organisation name instead of
    following the redirect.
  * debian/watch: Use api.github.com instead of …/releases because Github
    broke the releases page for any non-JS client.

 -- Axel Beckert <abe@debian.org>  Mon, 24 Oct 2022 04:10:10 +0200

qutebrowser (2.5.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update lintian overrides for new "pointed hints" syntax, add some more
    overrides where it became even pickier, mostly about
    very-long-line-length-in-source-file and similar tags.
  * Write a helper script which downloads missing sources of upstream
    documentation files which might change often. Also override the
    according lintian warnings and add the missing source files.

 -- Axel Beckert <abe@debian.org>  Thu, 23 Jun 2022 01:18:39 +0200

qutebrowser (2.5.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Declare compliance with Debian Policy 4.6.1. (No changes needed.)
  * Update upstream signing key with new signatures to extent expiry date.

 -- Axel Beckert <abe@debian.org>  Thu, 26 May 2022 16:11:56 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://qutebrowser.org/
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian

## qutebrowser 2.5.3

=== debian/changelog ===
qutebrowser (2.5.3-1) unstable; urgency=medium

  * New minor upstream bugfix and maintenance release.
    + Update debian/copyright for new
      qutebrowser/javascript/quirks/array_at.user.js file.
  * Remove lintian overrides for source-is-missing and
    source-contains-prebuilt-javascript-object false positives which have
    been fixed in Lintian.
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Fri, 17 Feb 2023 14:33:14 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                source-highlight,
                xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://qutebrowser.org/
 Vcs-Git: https://github.com/qutebrowser/qutebrowser-debian.git
 Vcs-Browser: https://github.com/qutebrowser/qutebrowser-debian

## qutebrowser 2.5.4

=== misc/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	install -Dm644 icons/qutebrowser.svg \
 		"$(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/qutebrowser.svg"
 	install -Dm755 -t "$(DESTDIR)$(DATADIR)/qutebrowser/userscripts/" \
-		$(wildcard misc/userscripts/*)
+		$(filter-out misc/userscripts/__pycache__,$(wildcard misc/userscripts/*))
 	install -Dm755 -t "$(DESTDIR)$(DATADIR)/qutebrowser/scripts/" \
 		$(filter-out scripts/__init__.py scripts/__pycache__ scripts/dev \
 		  scripts/testbrowser scripts/asciidoc2html.py scripts/setupcommon.py \

=== debian/changelog ===
qutebrowser (2.5.4-2ubuntu1) noble; urgency=medium

  * Don't hard-code dependencies on shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 23:42:05 +0100

qutebrowser (2.5.4-2) unstable; urgency=medium

  * Remove no longer needed dep python3-sip (Closes: #1060725)

 -- Fritz Reichwald <reichwald@b1-systems.de>  Mon, 29 Jan 2024 22:56:07 +0100

qutebrowser (2.5.4-1) unstable; urgency=medium

  * New minor upstream maintenance release.

 -- Axel Beckert <abe@debian.org>  Thu, 15 Jun 2023 01:30:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                libxml2-utils,
                python3 (>= 3.7),
                python3-setuptools,
+               qtbase5-dev,
                source-highlight,
                xsltproc
 Standards-Version: 4.6.2
@@ -21,8 +22,7 @@
 
 Package: qutebrowser
 Architecture: all
-Depends: libqt5core5a (>= 5.12.1),
-	 libqt5dbus5 (>= 5.12.1),
+Depends: ${lib:Depends},
          libqt5sql5-sqlite,
          python3 (>= 3.7),
          python3-pyqt5,
@@ -30,7 +30,6 @@
          python3-pyqt5.qtquick,
          python3-pyqt5.qtsql,
          python3-yaml,
-         python3-sip,
          python3-importlib-resources | python3 (>= 3.9),
          qutebrowser-qtwebengine | qutebrowser-qtwebkit,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,16 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/changelog.asciidoc
+
+# Fix second installation of qutebrowser binary into /usr/local/bin/
+# started somewhen after setuptools 59.6.0 and latest with 65.5.0, see
+# https://bugs.debian.org/1022364
+override_dh_usrlocal:
+	rm -rvf debian/qutebrowser/usr/local/
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+	  -Vlib:Depends="$(shell dpkg-query -W -f '$${Depends}' qtbase5-dev \
+			| sed -E 's/.*(libqt5core[[:digit:]][[:alnum:].-]*).*/\1/'), \
+			$(shell dpkg-query -W -f '$${Depends}' qtbase5-dev \
+			| sed -E 's/.*(libqt5dbus[[:digit:]][[:alnum:].-]*).*/\1/')"
